> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-cms/develop-with-umbraco/configuration/unattendedsettings.md).

# Unattended Install & Upgrade

Information on the unattended settings section

This settings lets you configure the unattended install & upgrade settings. This is a feature that allows Umbraco to install without using the UI. If you don't intended to use this feature, you don't need to configure this.

It's important to know that the install feature will only work if there is a connection string configured pointing to an empty database. A configuration for unattended install & upgrade can look something like:

```json
{
  "$schema": "https://json.schemastore.org/appsettings.json",

  "ConnectionStrings": {
    "umbracoDbDSN": "Server=.;Database=DocsSite;Integrated Security=true"
  },
  "Umbraco": {
    "CMS": {
      "Unattended": {
        "InstallUnattended": true,
        "PackageMigrationsUnattended": true,
        "UpgradeUnattended": true,
        "UnattendedUserName": "A.N. Other",
        "UnattendedUserEmail": "AN@Other.com",
        "UnattendedUserPassword": "APasswordMeetingRequirements",
        "UnattendedTelemetryLevel": "Detailed"
      }
    }
  }
}
```

This will automatically install Umbraco to the `DocsSite` database on the local SQL server, and will also automatically upgrade whenever there is an upgrade to install.

It is generally not recommended to keep user credentials in config files, therefore we recommend using environment variables to configure these settings.

Let's go through the settings one by one

## Install unattended

Umbraco will only automatically install if this is set to true, and if there is a connection string pointing to an empty database.

## Upgrade unattended

If this is set to true, Umbraco will automatically run the upgrade migrations once the site has been upgraded.

## Unattended user name

This setting is used to specify the user name of the default admin user.

## Unattended email

This setting is used to specify the email address of the default admin user.

## Unattended user pass

This setting is used to specify the password of the default admin user.

## Unattended telemetry level

This setting is used to specify the level of telemetry the installation will report. The `UnattendedTelemetryLevel` can be set to `Minimal`, `Basic`, or `Detailed`. If omitted, `Detailed` is the default.

### Package migrations unattended

Gets or sets a value indicating whether unattended package migrations are enabled.

This is true by default.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-cms/develop-with-umbraco/configuration/unattendedsettings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
